<%@ page language="java" import="java.util.*,com.letousky.lottery.action.MemberCenter,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	String[] params=new String[7];
	params[0]=request.getParameter("userid");
	params[1]=request.getParameter("gameid");
	params[2]=request.getParameter("status"); 
	params[3]=request.getParameter("beginTime");
	params[4]=request.getParameter("endTime");
	params[5]=request.getParameter("pages"); //当前页数
	params[6]=request.getParameter("every"); //当前页显示的条数
	List list=new MemberCenter().userZhanJi(params);
	String[] str=null;
	String d=",";
	Object[] obj=list.toArray();
	List items=(List)obj[0];
	String[] recod=(String[])obj[1];
	Object[] item=items.toArray();
	
	out.print("{\"recod\":\""+recod[0]+"\",\"countRgPrice\":\""+recod[1]+"\",\"countZjPrice\":\""+recod[2]+"\",\"items\":[");
	for(int i=0;i<item.length;i++){
		
		str=(String[])item[i];
		
		if(i==(item.length-1)){ d=""; }
		
		out.print("{\"gameid\":\""+str[0]+"\",\"bettingType\":\""+str[1]+"\",\"userName\":\""+str[2]+"\",\"bdPrice\":\""+str[3]+"\",\"rgPrice\":\""+str[4]+"\",\"zjPrice\":\""+str[5]+"\",\"status\":\""+str[6]+"\",\"starTime\":\""+str[7]+"\",\"trnNumber\":\""+str[8]+"\",\"progress\":\""+str[9]+"\",\"id\":\""+str[10]+"\"}"+d+"");
		
	}
	out.print("]}");
%>